cascading.flow.tez

## Class Hadoop2TezFlowProcess

- java.lang.Object
- - cascading.flow.FlowProcess<org.apache.tez.dag.api.TezConfiguration>
  - - cascading.flow.tez.Hadoop2TezFlowProcess

- All Implemented Interfaces:
    cascading.flow.hadoop.MapRed

      public class Hadoop2TezFlowProcess
      extends FlowProcess<org.apache.tez.dag.api.TezConfiguration>
      implements cascading.flow.hadoop.MapRed

  Class HadoopFlowProcess is an implementation of `FlowProcess` for Hadoop. Use this interface to get direct access to the Hadoop JobConf and Reporter interfaces.

  Be warned that coupling to this implementation will cause custom `Operation`s to fail if they are executed on a system other than Hadoop.
  See Also:
    `FlowSession`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.flow.FlowProcess

      `FlowProcess.NullFlowProcess`

  - ### Field Summary

    - ### Fields inherited from class cascading.flow.FlowProcess

      `NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Hadoop2TezFlowProcess()`
    `Hadoop2TezFlowProcess(FlowSession flowSession, org.apache.tez.runtime.api.ProcessorContext context, org.apache.tez.dag.api.TezConfiguration configuration)`
    `Hadoop2TezFlowProcess(Hadoop2TezFlowProcess flowProcess, org.apache.tez.dag.api.TezConfiguration configuration)`
    `Hadoop2TezFlowProcess(org.apache.tez.dag.api.TezConfiguration configuration)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<C> C` | `copyConfig(C config)`
    `FlowProcess` | `copyWith(org.apache.tez.dag.api.TezConfiguration configuration)`
    `<C> java.util.Map<java.lang.String,java.lang.String>` | `diffConfigIntoMap(C defaultConfig, C updatedConfig)`
    `org.apache.tez.dag.api.TezConfiguration` | `getConfig()`
    `org.apache.tez.dag.api.TezConfiguration` | `getConfigCopy()`
    `org.apache.tez.dag.api.TezConfiguration` | `getConfiguration()` Method getJobConf returns the jobConf of this HadoopFlowProcess object.
    `org.apache.tez.runtime.api.ProcessorContext` | `getContext()`
    `long` | `getCounterValue(java.lang.Enum counter)`
    `long` | `getCounterValue(java.lang.String group, java.lang.String counter)`
    `int` | `getCurrentSliceNum()` Method getCurrentTaskNum returns the task number of this task.
    `int` | `getNumProcessSlices()`
    `java.lang.Object` | `getProperty(java.lang.String key)`
    `java.util.Collection<java.lang.String>` | `getPropertyKeys()`
    `Reporter` | `getReporter()` Method getReporter returns the reporter of this HadoopFlowProcess object.
    `void` | `increment(java.lang.Enum counter, long amount)`
    `void` | `increment(java.lang.String group, java.lang.String counter, long amount)`
    `boolean` | `isCounterStatusInitialized()`
    `void` | `keepAlive()`
    `org.apache.tez.dag.api.TezConfiguration` | `mergeMapIntoConfig(org.apache.tez.dag.api.TezConfiguration defaultConfig, java.util.Map<java.lang.String,java.lang.String> map)`
    `java.lang.Object` | `newInstance(java.lang.String className)`
    `TupleEntryCollector` | `openSystemIntermediateForWrite()`
    `TupleEntryIterator` | `openTapForRead(Tap tap)`
    `TupleEntryCollector` | `openTapForWrite(Tap tap)`
    `TupleEntryCollector` | `openTrapForWrite(Tap trap)`
    `void` | `setStatus(java.lang.String status)`
    `void` | `setWriter(org.apache.tez.runtime.api.Writer writer)`

    - ### Methods inherited from class cascading.flow.FlowProcess

      `closeTrapCollectors, getBooleanProperty, getBooleanProperty, getCurrentSession, getID, getIntegerProperty, getIntegerProperty, getStringProperty, getStringProperty, getTrapCollectorFor, getTrapCollectors, setCurrentSession`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Hadoop2TezFlowProcess

          public Hadoop2TezFlowProcess()

    - #### Hadoop2TezFlowProcess

          public Hadoop2TezFlowProcess(org.apache.tez.dag.api.TezConfiguration configuration)

    - #### Hadoop2TezFlowProcess

          public Hadoop2TezFlowProcess(FlowSession flowSession,
                               org.apache.tez.runtime.api.ProcessorContext context,
                               org.apache.tez.dag.api.TezConfiguration configuration)

    - #### Hadoop2TezFlowProcess

          public Hadoop2TezFlowProcess(Hadoop2TezFlowProcess flowProcess,
                               org.apache.tez.dag.api.TezConfiguration configuration)

  - ### Method Detail

    - #### getContext

          public org.apache.tez.runtime.api.ProcessorContext getContext()

    - #### setWriter

          public void setWriter(org.apache.tez.runtime.api.Writer writer)

    - #### copyWith

          public FlowProcess copyWith(org.apache.tez.dag.api.TezConfiguration configuration)

      Specified by:
        `copyWith` in class `FlowProcess<org.apache.tez.dag.api.TezConfiguration>`

    - #### getConfiguration

          public org.apache.tez.dag.api.TezConfiguration getConfiguration()

      Method getJobConf returns the jobConf of this HadoopFlowProcess object.
      Returns:
        the jobConf (type JobConf) of this HadoopFlowProcess object.

    - #### getConfig

          public org.apache.tez.dag.api.TezConfiguration getConfig()

      Specified by:
        `getConfig` in class `FlowProcess<org.apache.tez.dag.api.TezConfiguration>`

    - #### getConfigCopy

          public org.apache.tez.dag.api.TezConfiguration getConfigCopy()

      Specified by:
        `getConfigCopy` in class `FlowProcess<org.apache.tez.dag.api.TezConfiguration>`

    - #### getCurrentSliceNum

          public int getCurrentSliceNum()

      Method getCurrentTaskNum returns the task number of this task. Task 0 is the first task.
      Specified by:
        `getCurrentSliceNum` in class `FlowProcess<org.apache.tez.dag.api.TezConfiguration>`
      Returns:
        int

    - #### getNumProcessSlices

          public int getNumProcessSlices()

      Specified by:
        `getNumProcessSlices` in class `FlowProcess<org.apache.tez.dag.api.TezConfiguration>`

    - #### getReporter

          public Reporter getReporter()

      Method getReporter returns the reporter of this HadoopFlowProcess object.
      Specified by:
        `getReporter` in interface `cascading.flow.hadoop.MapRed`
      Returns:
        the reporter (type Reporter) of this HadoopFlowProcess object.

    - #### getProperty

          public java.lang.Object getProperty(java.lang.String key)

      Specified by:
        `getProperty` in class `FlowProcess<org.apache.tez.dag.api.TezConfiguration>`

    - #### getPropertyKeys

          public java.util.Collection<java.lang.String> getPropertyKeys()

      Specified by:
        `getPropertyKeys` in class `FlowProcess<org.apache.tez.dag.api.TezConfiguration>`

    - #### newInstance

          public java.lang.Object newInstance(java.lang.String className)

      Specified by:
        `newInstance` in class `FlowProcess<org.apache.tez.dag.api.TezConfiguration>`

    - #### keepAlive

          public void keepAlive()

      Specified by:
        `keepAlive` in class `FlowProcess<org.apache.tez.dag.api.TezConfiguration>`

    - #### increment

          public void increment(java.lang.Enum counter,
                       long amount)

      Specified by:
        `increment` in class `FlowProcess<org.apache.tez.dag.api.TezConfiguration>`

    - #### increment

          public void increment(java.lang.String group,
                       java.lang.String counter,
                       long amount)

      Specified by:
        `increment` in class `FlowProcess<org.apache.tez.dag.api.TezConfiguration>`

    - #### getCounterValue

          public long getCounterValue(java.lang.Enum counter)

      Specified by:
        `getCounterValue` in class `FlowProcess<org.apache.tez.dag.api.TezConfiguration>`

    - #### getCounterValue

          public long getCounterValue(java.lang.String group,
                             java.lang.String counter)

      Specified by:
        `getCounterValue` in class `FlowProcess<org.apache.tez.dag.api.TezConfiguration>`

    - #### setStatus

          public void setStatus(java.lang.String status)

      Specified by:
        `setStatus` in class `FlowProcess<org.apache.tez.dag.api.TezConfiguration>`

    - #### isCounterStatusInitialized

          public boolean isCounterStatusInitialized()

      Specified by:
        `isCounterStatusInitialized` in class `FlowProcess<org.apache.tez.dag.api.TezConfiguration>`

    - #### openTapForRead

          public TupleEntryIterator openTapForRead(Tap tap)
                                            throws java.io.IOException

      Specified by:
        `openTapForRead` in class `FlowProcess<org.apache.tez.dag.api.TezConfiguration>`
      Throws:
        `java.io.IOException`

    - #### openTapForWrite

          public TupleEntryCollector openTapForWrite(Tap tap)
                                              throws java.io.IOException

      Specified by:
        `openTapForWrite` in class `FlowProcess<org.apache.tez.dag.api.TezConfiguration>`
      Throws:
        `java.io.IOException`

    - #### openTrapForWrite

          public TupleEntryCollector openTrapForWrite(Tap trap)
                                               throws java.io.IOException

      Specified by:
        `openTrapForWrite` in class `FlowProcess<org.apache.tez.dag.api.TezConfiguration>`
      Throws:
        `java.io.IOException`

    - #### openSystemIntermediateForWrite

          public TupleEntryCollector openSystemIntermediateForWrite()
                                                             throws java.io.IOException

      Specified by:
        `openSystemIntermediateForWrite` in class `FlowProcess<org.apache.tez.dag.api.TezConfiguration>`
      Throws:
        `java.io.IOException`

    - #### copyConfig

          public <C> C copyConfig(C config)

      Specified by:
        `copyConfig` in class `FlowProcess<org.apache.tez.dag.api.TezConfiguration>`

    - #### diffConfigIntoMap

          public <C> java.util.Map<java.lang.String,java.lang.String> diffConfigIntoMap(C defaultConfig,
                                                                               C updatedConfig)

      Specified by:
        `diffConfigIntoMap` in class `FlowProcess<org.apache.tez.dag.api.TezConfiguration>`

    - #### mergeMapIntoConfig

          public org.apache.tez.dag.api.TezConfiguration mergeMapIntoConfig(org.apache.tez.dag.api.TezConfiguration defaultConfig,
                                                                   java.util.Map<java.lang.String,java.lang.String> map)

      Specified by:
        `mergeMapIntoConfig` in class `FlowProcess<org.apache.tez.dag.api.TezConfiguration>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.